GNU bug report logs - #51240
27.2; Binding find-library commands

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Howard Melman <hmelman@HIDDEN>; merged with #52074; dated Sat, 16 Oct 2021 16:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 51240 52074. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 18 Oct 2021 07:33:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 18 03:32:59 2021
Received: from localhost ([127.0.0.1]:45795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcN8l-0007ix-Nw
	for submit <at> debbugs.gnu.org; Mon, 18 Oct 2021 03:32:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mcN8k-0007ii-1n
 for 51240 <at> debbugs.gnu.org; Mon, 18 Oct 2021 03:32:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/M7cMcKg+AMmhgmskc2EoJKWnVtkeHNY7WB1PYjp4wY=; b=TYn3L+9waTm4xWdVHFtaSR5UKg
 oI6zY7Nth3Cu0pcOMnBoqOydWtgdcFp/gJT8SihvMKpb0XVBV8jS31xj9K4Tr/aB2Ts9YYKq9fouD
 1A8hxe0+uzNAUqm+gfT8ayqqSOA8lQltnwxi3orMifJna5WgvfOR9ze7WVVMFPQ8e0uI=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mcN8b-0000Uo-3L; Mon, 18 Oct 2021 09:32:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#51240: 27.2; Binding find-library commands
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
 <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
 <878ryser1h.fsf@HIDDEN>
 <1512A8BF-E11B-4E31-8064-EC4E40D90BFB@HIDDEN>
 <87bl3n3ob2.fsf@HIDDEN>
X-Now-Playing: Brokeback's _Looks At The Bird_: "Name's Winston, Friends
 Call Me James"
Date: Mon, 18 Oct 2021 09:32:48 +0200
In-Reply-To: <87bl3n3ob2.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 17 Oct 2021 20:04:17 +0300")
Message-ID: <87a6j6n5y7.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Thanks for the
 explanation, I think it makes sense to add > C-x L, C-x 4 L,
 C-x 5 L to find-function-setup-keys. Makes sense to me. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51240
Cc: "51240 <at> debbugs.gnu.org" <51240 <at> debbugs.gnu.org>,
 Howard Melman <hmelman@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Thanks for the explanation, I think it makes sense to add
> C-x L, C-x 4 L, C-x 5 L to find-function-setup-keys.

Makes sense to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 17 Oct 2021 17:30:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 17 13:30:58 2021
Received: from localhost ([127.0.0.1]:45196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mc9zu-0005DM-Kq
	for submit <at> debbugs.gnu.org; Sun, 17 Oct 2021 13:30:58 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:42805)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mc9zt-0005Cw-JB
 for 51240 <at> debbugs.gnu.org; Sun, 17 Oct 2021 13:30:58 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id E15A5E0005;
 Sun, 17 Oct 2021 17:30:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#51240: [External] : bug#51240: 27.2; Binding find-library
 commands
Organization: LINKOV.NET
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
 <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
 <878ryser1h.fsf@HIDDEN>
 <1512A8BF-E11B-4E31-8064-EC4E40D90BFB@HIDDEN>
Date: Sun, 17 Oct 2021 20:04:17 +0300
In-Reply-To: <1512A8BF-E11B-4E31-8064-EC4E40D90BFB@HIDDEN> (Howard Melman's
 message of "Sat, 16 Oct 2021 21:16:32 -0400")
Message-ID: <87bl3n3ob2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51240
Cc: "51240 <at> debbugs.gnu.org" <51240 <at> debbugs.gnu.org>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> The other commands related to find-library are setup via
> find-function-setup-keys.  The equivalents of find-library
> are on C-x F, C-x K and C-x V and then on the C-x 4 and
> C-x 5 locations too.

> I use this often if I want to visit a library regardless of what is
> near point.  If I want to open embark (say because I just updated
> it), I use C-x L and enter "embark" via completing-read.
> It's very convenient.

Thanks for the explanation, I think it makes sense to add
C-x L, C-x 4 L, C-x 5 L to find-function-setup-keys.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 17 Oct 2021 17:30:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 17 13:30:55 2021
Received: from localhost ([127.0.0.1]:45193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mc9zr-0005D6-Fm
	for submit <at> debbugs.gnu.org; Sun, 17 Oct 2021 13:30:55 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:53285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mc9zp-0005Cr-Nr
 for 51240 <at> debbugs.gnu.org; Sun, 17 Oct 2021 13:30:54 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id DA296C000A;
 Sun, 17 Oct 2021 17:30:45 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#51240: [External] : bug#51240: 27.2; Binding find-library
 commands
Organization: LINKOV.NET
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
 <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
 <878ryser1h.fsf@HIDDEN>
 <SJ0PR10MB54880160F9C3315B4B26B726F3BA9@HIDDEN>
Date: Sun, 17 Oct 2021 19:59:16 +0300
In-Reply-To: <SJ0PR10MB54880160F9C3315B4B26B726F3BA9@HIDDEN>
 (Drew Adams's message of "Sat, 16 Oct 2021 19:33:52 +0000")
Message-ID: <87ilxv3ojf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51240
Cc: "51240 <at> debbugs.gnu.org" <51240 <at> debbugs.gnu.org>,
 Howard Melman <hmelman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> What's the big deal?  IIRC, in the last month
> alone you've proposed (and grabbed) a _bunch_
> of new default keys, no?

No, I didn't grab no keys from you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 17 Oct 2021 01:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 21:16:46 2021
Received: from localhost ([127.0.0.1]:43300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbun8-00088C-Dt
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 21:16:46 -0400
Received: from mail-qv1-f45.google.com ([209.85.219.45]:45041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hmelman@HIDDEN>) id 1mbun1-00087t-4a
 for 51240 <at> debbugs.gnu.org; Sat, 16 Oct 2021 21:16:44 -0400
Received: by mail-qv1-f45.google.com with SMTP id v2so8143468qve.11
 for <51240 <at> debbugs.gnu.org>; Sat, 16 Oct 2021 18:16:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=+0cqIhyDffx0UI9ZljmtdJ25mZALZEFMMPWbEI314wQ=;
 b=QbW88I9e4cpI+We7rU4v6ZeZmjoUB/Yb9Ijj49T92Ud/zdQ9RV7OcZa7iVR7LQHYfF
 eqMBNhELRxu5nzPXh0IDgV8csAUDozwYA9SffBDR8vatKizHPR4WcRv+qR52qINQNK0N
 DDpnvPNEMKUNymT13QfiOocygqDBhU2Sr2hX0dYf8i0KFdyaROyRE4kFtr3GhCEzOQWe
 qvDDJf0DD5E1h3I9gQpWClJwoQBRzmbKM1/Xo9YsSFQ0Kc8SKa1uoG8l0zuuMghvU8lO
 ZyZjBcRaYycy4bnWZNBqdHYPg6Ca6g2r9XFRMp64wFwX9PtQpnzkQBwAohbGzl9HsLgS
 2sUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=+0cqIhyDffx0UI9ZljmtdJ25mZALZEFMMPWbEI314wQ=;
 b=V/GfSxuNkzlOuizncLBYKNXpW+u0HUruTA/iOUX0l+5jsPiULHgZWmQ/WcDwu8Z/6x
 I9Gly32MS1jB4N+ymLhxZ5elgEXmm8YhBJK1YyPUpD1hyKn2XXSh/LgDA9GhHJvaILbx
 OMwutJhR6U7p+Pnb5J/z0ULnhqOoS4ijT8O1kXuEWsjD6FsHa/fpOzsM02momJETMyv4
 boDRAzOlOoakQmuCzgiOAxpQNKxwQIEN0HGUv4Ou/Qwufs22XGocEHkh/2FVNa5EEnJE
 wfshVsDKRJfya7KVDnkUbK56/d6PukqlSvHo282s3O/6nVuUY5WNBJDYXdPMiTYfZy6c
 IdTQ==
X-Gm-Message-State: AOAM532kMkUuDxBWRoVLamSYVv4wR7SqlQUBNaSWa+BluPz6qdt7M7E9
 eaWyKuCtKWXwrSdy6aHSj58=
X-Google-Smtp-Source: ABdhPJy4vl9uhzScyEdCigO3rtbSZ0eu1dG9L/BHU6XvSMzdbhQmR8HmUkVhjirsFo26ZN8vY2XsOA==
X-Received: by 2002:a05:6214:d8c:: with SMTP id
 e12mr18853445qve.14.1634433393416; 
 Sat, 16 Oct 2021 18:16:33 -0700 (PDT)
Received: from smtpclient.apple (pool-108-26-204-101.bstnma.fios.verizon.net.
 [108.26.204.101])
 by smtp.gmail.com with ESMTPSA id t199sm4506816qke.121.2021.10.16.18.16.32
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 16 Oct 2021 18:16:32 -0700 (PDT)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#51240: [External] : bug#51240: 27.2; Binding find-library
 commands
From: Howard Melman <hmelman@HIDDEN>
In-Reply-To: <878ryser1h.fsf@HIDDEN>
Date: Sat, 16 Oct 2021 21:16:32 -0400
Content-Transfer-Encoding: 7bit
Message-Id: <1512A8BF-E11B-4E31-8064-EC4E40D90BFB@HIDDEN>
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
 <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
 <878ryser1h.fsf@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51240
Cc: "51240 <at> debbugs.gnu.org" <51240 <at> debbugs.gnu.org>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Oct 16, 2021, at 2:57 PM, Juri Linkov <juri@HIDDEN> wrote:
> 
>> IMO, we should bind `find-library-other-window' to
>> `C-x 4 l' and `find-library-other-frame' to `C-x 5 l'.
> 
> Since other Emacs-Lisp specific keys are on the `C-h' key prefix
> like `C-h f' and `C-h S', a key to find an Emacs-Lisp library
> could find a place in the same `C-h' key prefix.

The other commands related to find-library are setup via
find-function-setup-keys.  The equivalents of find-library
are on C-x F, C-x K and C-x V and then on the C-x 4 and 
C-x 5 locations too.

> But I don't understand why it needs a new key - it already
> works fine with 'C-x 4 f' and 'C-x 5 f' when point is on
> the library name, then typing 'M-n' will get the library file.

I use this often if I want to visit a library regardless of what is
near point.  If I want to open embark (say because I just updated
it), I use C-x L and enter "embark" via completing-read.  
It's very convenient.

Howard




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 16 Oct 2021 19:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 15:33:59 2021
Received: from localhost ([127.0.0.1]:43105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbpRP-0006AY-3f
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 15:33:59 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:29548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mbpRN-0006AQ-G3
 for 51240 <at> debbugs.gnu.org; Sat, 16 Oct 2021 15:33:58 -0400
Received: from pps.filterd (m0246617.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 19GGBn9V014069; 
 Sat, 16 Oct 2021 19:33:56 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=iPW7yjedSHtCmZn51C4+8pUiwpTK0aQ0FNqlRqo4/hk=;
 b=qEZ3zUIeb+wwp1ImyENqKJR8psUEb/tjvnRuHOkCqo84AGLmE6qucWo2btYmQQ8OJ+zx
 /laJEhm9TIOrIOX2vX3scLDMPkyd+P0mqF8IgQlTfkofPhqlHSl+T7h1He4qRNL4zY9a
 BvzTtGSj1lUwWWP/ObBiBTcd1I9oXjlZnc0kpl8jZipVQ9Omfa+uGMgID2LMWRLWnZyl
 ngprAYhi1UU0Be6p6OXW8ZG803IzCCwuAYUFSGbQsAVDuqivlRyLdJkNnrx/hV68sTQv
 l7bKLzl/kHwfw93mWbt8g7HLL00qducFTl3jTZlLEBOKOh/igqFVqDtnoVBuRO84PS1D tw== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by mx0b-00069f02.pphosted.com with ESMTP id 3bqqmas8t5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 16 Oct 2021 19:33:56 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 19GJVMMF114636;
 Sat, 16 Oct 2021 19:33:55 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2109.outbound.protection.outlook.com [104.47.58.109])
 by userp3030.oracle.com with ESMTP id 3bqkutgtgc-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 16 Oct 2021 19:33:54 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kqJPTP+yWwoRWcqUIkddBO4q+eAPzt7chzv5W1g7zwXEgtlQj5a9E5V5h4ZnhLOfCboPzSlrrr6+jVeNBOB4Vjw/0CwFpDtGsV/e1ILl8R6cEj3KaGKnlsiMi+z+T6gS0l1I9g85sb4ZPc7wEUjJvH6r0bO6nzmMIrs2dL3fDnnNgDnqz1rL8mIEWr6NKCTmWLGZhs83EXextdEp4CR19BNBjiIhO8G+xLykbVz0ItcROZLAaKM7n0szzbwrme66pLV9VeEo9had5d4jSR+7VPNrsdtnAMWlqiMYhHnVQh84ieWuVMtZ5QHAsvAuV0yHXskoXMs4xIBa9VXUbUfbUw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=iPW7yjedSHtCmZn51C4+8pUiwpTK0aQ0FNqlRqo4/hk=;
 b=X6OCEM6aItF1VDy6Rk75KIuch6dmtxW4bk9hH7gbOS7LttLpPsXK4w4g5vcO6ePvjjh12L/rnY1zcKWXyYP2rKmMXi/uipIiqKvQzfHGiFdyqVFZGNylJAdYGCdmvBG28j6QBjYIIPtjyRgH+4zV2gpmzZHF4A7LUP/6w8j/TF6iysfMGpsLmfRP4o1kde3ezySAZDmEbgpFGdu7DzfVWyW7vqSvolvKecRC/jay7pIOMboi9ZGXOuREka96JnTwOGfTA2nisAixrL6lE6aAotD8vaSoxcgN8kvqS29R9ByiOCzXq6ZTfUKGjHQtT4eXM5DAkKTcjzJ37xb8U0zKGg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=iPW7yjedSHtCmZn51C4+8pUiwpTK0aQ0FNqlRqo4/hk=;
 b=MaB2MYgmSX6txQUzdRfVU4MJicnAo4c4SoEOCJAEdPtNeFPPxFa3gK7RJypR6Q2GfLBt0mXLpRPB7QLaL/wZbTvNfGn6cAtqwDucvigL3velTbTo20iMXj5ym0V6m/WlDja/VkHUk53bIRFDgw9kfN4lABjSakDV/5v5VH3xeOA=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB2647.namprd10.prod.outlook.com (2603:10b6:a02:b2::22)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4608.16; Sat, 16 Oct
 2021 19:33:52 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4608.018; Sat, 16 Oct 2021
 19:33:52 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: bug#51240: [External] : bug#51240: 27.2; Binding find-library
 commands
Thread-Topic: bug#51240: [External] : bug#51240: 27.2; Binding find-library
 commands
Thread-Index: AQHXwr/hWuCMd9pe4EGtYSwPBCo09KvWAgFQ
Date: Sat, 16 Oct 2021 19:33:52 +0000
Message-ID: <SJ0PR10MB54880160F9C3315B4B26B726F3BA9@HIDDEN>
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
 <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
 <878ryser1h.fsf@HIDDEN>
In-Reply-To: <878ryser1h.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a07c1497-db13-428e-f08f-08d990dbe2bc
x-ms-traffictypediagnostic: BYAPR10MB2647:
x-microsoft-antispam-prvs: <BYAPR10MB2647D3966B2845A7CB82A1DCF3BA9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:3383;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: lJ6CkkGAA5woONUcEuoJ7ZuimjTWuM68A5I/MvmW85GINL3A09jkRbvdQlIOCiL4lDNKgM2gTSl1v+aHDnjnF3kw1aeh+UMk81lMHxyyKLR46SQqo1i377c9briHGOvNnl2TG1bWEQzf4RlqdyoVb9fTOqwHlLplZoqIHQj/8mHCy4+nTu4sT649maUL7+hDxO/ok2Qdrewyb6qp7ez6F0DAzS5FBJpWv3xHHIwE2GHZntMRlmeu/y6Sm2D+dr7C8PZbXhWhiPcJLPVbndT8UroI8owb/NDiXByhUFz5xslRUe58aB/o6OM2yoaAEYNHR3eb/FqtUWftTf5KIXPhj7fcCaBDChlrihmRQdzmutuXJtB2PxcHFYdxAv/gtq+vpKpiwSt+i+dIc92LXvtvMDc8dulo+fy/wbA9LopCI6WGnD1r5KnENuxhEs/m8hJOC5kYQBNd/qq7DvyHdDmfNNLqdUDabUtNajMlEZkowqjB3lmThtq+EhisG2R57K7OfFprWZb4d9tMddV1YtqgkgAH+yh9s/9312HLEr1Y8hmBpQB/UJoUeTuo8utyer6F0bMf/dDn+Ku65XoUZ5U3LYFVxB4QLsG4WRQu2Z0CAnWMuszoYzsmcJFZ/Llz3fNIO0AhrfHNxtnIPP0Z7gVx7eT2C+vLjDsYZQwxveuJmHVyh3U2LzpW0lU3H5Eb9t/VDG09FtaKRkOt6tJnNPQ9JA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(9686003)(38070700005)(7696005)(66446008)(6916009)(76116006)(66476007)(316002)(52536014)(6506007)(64756008)(66946007)(186003)(86362001)(33656002)(66556008)(54906003)(2906002)(38100700002)(44832011)(4326008)(8936002)(8676002)(5660300002)(508600001)(71200400001)(26005)(55016002)(122000001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?zAftHoX5XwzVeO4SqY8gHpfMJRdmLmj8TrScy0gGcMaire4GYSwUejXrQSjI?=
 =?us-ascii?Q?wOxs/hDkEEQuWWVk7MyMIvhHB96nJsNVyRv86I5AgCK1WlCdITWn7mTTOE8e?=
 =?us-ascii?Q?dbvNsbPuTdPbFxi3SfXOezHhqYfov8Oh6MXgS6GC7ghlZre9G7bN7IVjgYJu?=
 =?us-ascii?Q?q8XEjoejpDyDj82PiiJ9B4a7V5HND0DelBEPUNGdCIu+7VRCM1U8tXQ1DDMT?=
 =?us-ascii?Q?3PabYQvoOg9qeq/J5Jy80ogEDIrsnZaX3TpmWQqB+R6baR9bYA7C4yjYVDwB?=
 =?us-ascii?Q?WYJxWEUn1x3Nj/QPZCoNL/4p07QVUBT3w8QrDfF/BP8kE/BVQf1Jv40Gcrep?=
 =?us-ascii?Q?DvQV788LN8QGZEy+lqCX8OB2uTUisProfNyyfapeWJkyL1ix92gJ+NBg9E7C?=
 =?us-ascii?Q?uBQ9EXlOkAheg/Dj92XrinuKrOgIvSyIyGsgD6vlDaOR/0+lPw3Z7IGhSzrH?=
 =?us-ascii?Q?RzvFcBtPFovFv/oTcblkKT7rNmIa8z2fF29xzsp3KO3ZnYpb1r+yWZLkzk/k?=
 =?us-ascii?Q?ZfUglhJx6oPK5htogLUgI7wYmnr0soGoPZpH0vLmRysyPUihcPjunxKQ/bPf?=
 =?us-ascii?Q?pd2TrdK7An5R796GIJhSWc29N0ZaOeYs6iMBpdspLfW+sLCL/rM56ukcgMoO?=
 =?us-ascii?Q?STJiED0Mx4JoqtptjJqUBR40dkjn9OF89eimP81O0Oy/sTESLSDLJNnnZaHv?=
 =?us-ascii?Q?2OBbFJJEsh/DtuWfDui/KXLQ3VNzivteFtelsL1P1NZrkFE1kJXU+UigEIpV?=
 =?us-ascii?Q?TCzohJ1enpnn8QGpHSrzjA+HvQSQVxrttkeFRZLDUHDxRuxy37kC3qLLjM+l?=
 =?us-ascii?Q?kU2AdWl4Rg7SVROxyhQCprujNHuePoLfcwTF3413nPsqBmQwpCy3SyN2LMPq?=
 =?us-ascii?Q?ZiMXsQDNfzqoZNu/DKld4rZV2fdnjSUzCC0Jn8GMhVERZIfXEHMM/qajTTzk?=
 =?us-ascii?Q?LUgnNUcsTfqshIFJ5XFreCsts/KSqbWBa5cxaZaulSlRdxVndBP1jOH5WtdN?=
 =?us-ascii?Q?XlpLU20XJGPoCk9o7LQCwJ498j8AQZF3O+zTj0MnxItVsKVlhJkeheSXEgM1?=
 =?us-ascii?Q?jONA2RjR/3TA7RC/8IxpP7peYV8yJJMKUkzS1KmF79oDeSXqactX/vMHx4Lm?=
 =?us-ascii?Q?JvqZiVzyjeSSNntM3ySGmIauGRZ5nqfvGT67Rfz8ChyKIEJYTFtQK0v2DBT+?=
 =?us-ascii?Q?IXzo/6e4dZ2VfuoUzbV1VNE2ayKyGRQdEbvvLQX4QKcbyVd5oRDdtJhxW+ec?=
 =?us-ascii?Q?ZwTha5/BlonvrxNH1na5H19Q7EmWOj8zBsKKAV+yAevqtIxvnZh6bB0SLQsw?=
 =?us-ascii?Q?nho=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: a07c1497-db13-428e-f08f-08d990dbe2bc
X-MS-Exchange-CrossTenant-originalarrivaltime: 16 Oct 2021 19:33:52.5030 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: yD0Lmvd/hOQuPZX8NjvVMdF8P3UaLOF0B+yfNpVrsFUeFztHXfRfbrf5PIYIA37SvdC35TWJUvT7enqH/39b7Q==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB2647
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10139
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=894
 suspectscore=0
 malwarescore=0 bulkscore=0 phishscore=0 adultscore=0 spamscore=0
 mlxscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2109230001 definitions=main-2110160132
X-Proofpoint-ORIG-GUID: RtRsNPIsBmOXBmLN4sXT1Jd_WIhhtIcX
X-Proofpoint-GUID: RtRsNPIsBmOXBmLN4sXT1Jd_WIhhtIcX
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 51240
Cc: "51240 <at> debbugs.gnu.org" <51240 <at> debbugs.gnu.org>,
 Howard Melman <hmelman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

> > IMO, we should bind `find-library-other-window' to
> > `C-x 4 l' and `find-library-other-frame' to `C-x 5 l'.
>=20
> Since other Emacs-Lisp specific keys are on the `C-h' key prefix
> like `C-h f' and `C-h S', a key to find an Emacs-Lisp library
> could find a place in the same `C-h' key prefix.

It's not about finding help information.
It's about finding a library - a file.  Do you
also propose to move the find-file commands to
the `C-h' prefix, because the command name is
"find"?  Moving `C-x 4 f' to `C-h <something>'?

> But I don't understand why it needs a new key - it already
> works fine with 'C-x 4 f' and 'C-x 5 f' when point is on
> the library name, then typing 'M-n' will get the library file.

It's not about the cursor being on the library
name.  It's about getting the library file
wherever you are, in whatever buffer, directory,
etc.

What's the big deal?  IIRC, in the last month
alone you've proposed (and grabbed) a _bunch_
of new default keys, no?

These find-library keys just make sense, IMO.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 16 Oct 2021 18:58:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 14:58:56 2021
Received: from localhost ([127.0.0.1]:43067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbotU-0005Ig-Jz
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 14:58:56 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:50033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mbotS-0005IT-Ss
 for 51240 <at> debbugs.gnu.org; Sat, 16 Oct 2021 14:58:56 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 289D920003;
 Sat, 16 Oct 2021 18:58:46 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#51240: [External] : bug#51240: 27.2; Binding find-library
 commands
Organization: LINKOV.NET
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
 <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
Date: Sat, 16 Oct 2021 21:57:30 +0300
In-Reply-To: <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
 (Drew Adams's message of "Sat, 16 Oct 2021 18:28:43 +0000")
Message-ID: <878ryser1h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51240
Cc: "51240 <at> debbugs.gnu.org" <51240 <at> debbugs.gnu.org>,
 Howard Melman <hmelman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> IMO, we should bind `find-library-other-window' to
> `C-x 4 l' and `find-library-other-frame' to `C-x 5 l'.

Since other Emacs-Lisp specific keys are on the `C-h' key prefix
like `C-h f' and `C-h S', a key to find an Emacs-Lisp library
could find a place in the same `C-h' key prefix.

But I don't understand why it needs a new key - it already
works fine with 'C-x 4 f' and 'C-x 5 f' when point is on
the library name, then typing 'M-n' will get the library file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at 51240 <at> debbugs.gnu.org:


Received: (at 51240) by debbugs.gnu.org; 16 Oct 2021 18:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 14:28:57 2021
Received: from localhost ([127.0.0.1]:43038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mboQT-0004Y3-5H
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 14:28:57 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:31508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mboQQ-0004Xu-Lr
 for 51240 <at> debbugs.gnu.org; Sat, 16 Oct 2021 14:28:56 -0400
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 19GGVRlk013367; 
 Sat, 16 Oct 2021 18:28:54 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=mFb5c7enR/4cN/NjclyR9O3lAqkbHZVl7S9rWnI3e3o=;
 b=ZrtEvnn1w8/zNEIqBTJkgP0ZC2Y6hcsl+Qf1FJEu125xQ0jXbxjxk0N2XDIP2z9uJP6m
 s0RUopIu/oGyseSw47zpVktpBj+6PfZxf7vtBpqryESmqWrDK9N8Hyy7I+z+nrDeoOqz
 oEyf6zwARx2LZv6jP5iKCNWX+eTxX7BUSEfvBZcAADqgtYwr6bihgFigL7CFl1Gte+Mt
 GpxdNHgiunnh7zZ8e/Es3ZIFojdVP0mv+wqQ4CmAP1KbXRw0GqWBIVd2qYW8gMbPvRW0
 mS1u9Uk07R/xOWgF3rPGw8j34Y4Lq0VwZmtkIE2YFu80Wy0UNWzCyl+Y/fKjzL4i6cWl 9w== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by mx0b-00069f02.pphosted.com with ESMTP id 3bqqj5s5ck-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 16 Oct 2021 18:28:53 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 19GIFJXk187093;
 Sat, 16 Oct 2021 18:28:46 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2169.outbound.protection.outlook.com [104.47.55.169])
 by userp3020.oracle.com with ESMTP id 3bqp2k3c6x-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 16 Oct 2021 18:28:46 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=hswmdHBbAC6pWyb37DVsg7PLuwlecMGlcGupLcKET9YLPlZHS/RIRWBoswdkVfFKDk0EJ4uwDVM09uENqjxUxDl8TOX1TWNdpPNlx2R2WroG6dKMbB3ffgQ7M8uzF5cY0ftvWJYt4qR5WM2nT5w24DaZD0Th46Zyk1r7cXEIqdGIV1WYgcAvvYS0NR/Lz21OfYVhPJZszg5YjRv4feuXL9uv8Oi5XRMFG+wwwlKft08sYwyD7eGtTCia1LrpiA5dgf4gud9/ojKXFnqKefBQsYxCijjTUFMxY/iTOyn9NbppW+uwyYh3iS47dR6sr7ponT6vCv4YreLqbhEYYukR5g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=mFb5c7enR/4cN/NjclyR9O3lAqkbHZVl7S9rWnI3e3o=;
 b=JnD9ezuV212gdvXurLgoPXt+YXIojgwxf4TQTGk6JZGjGmyHWP6/LIeEGd+RSbVfMEVYbh/kxhGTWf70cAj5o6yj5kw8BlguXzK3N66Upr4wIh17rz+ptXecLOQEPmt0pHJ/kD2VtI+CbZ16YR+G3ySgYztkZ/q7ytW64SMSfIObtSXkxc+l6XRTZaYHtjQJ2dSgJWZ3dDUUTEJUwmLoiPf4khAZ+gzBEAB3wN2UgMzlK7npPb8K3WoYanxOu4TllF0RrxpgmeQ5CK62AAGDXkU05ULbRQRjFaz528fsQ+Gop2eYWcfi3WjEe9n5hKNrEyTR1yIOEth4QM8wgqAl0A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=mFb5c7enR/4cN/NjclyR9O3lAqkbHZVl7S9rWnI3e3o=;
 b=O4SabO5/VEtOUDOqynTOUBB2IJySZxHj/MYPp9zjKeoyXfZ6H6Q3IuVIVv6Du+hS0SM9uQLWa5iUKSFvvfWBHNBCQVzuv5NMwcdeAIvseMzkiSejAmp5Hmq+c4hD0emr+0UWYqd8HLwABFS10VQVdBJgUwjkQvHPZ3pIKO1w0pE=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB3511.namprd10.prod.outlook.com (2603:10b6:a03:129::25)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4608.18; Sat, 16 Oct
 2021 18:28:43 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::c0bc:7c3a:292f:8a82%9]) with mapi id 15.20.4608.018; Sat, 16 Oct 2021
 18:28:43 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>, "51240 <at> debbugs.gnu.org"
 <51240 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#51240: 27.2; Binding find-library commands
Thread-Topic: [External] : bug#51240: 27.2; Binding find-library commands
Thread-Index: AQHXwq4nxcrq4DVPG0+NU8RmcHlXlKvV7nfw
Date: Sat, 16 Oct 2021 18:28:43 +0000
Message-ID: <SJ0PR10MB5488A0CFA0D453F62298819BF3BA9@HIDDEN>
References: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
In-Reply-To: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 97e56c80-5a68-436b-6178-08d990d2c8ae
x-ms-traffictypediagnostic: BYAPR10MB3511:
x-microsoft-antispam-prvs: <BYAPR10MB35118FB03BE84E3538FCEE46F3BA9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: K/69iJy2l1GqUKA934EkAjBbR1Lobfyr7s/blOPc3Yd6xvXZ0b0q/lgE+GGeRAwmyINm4Kpwb+giEv4XR3IniPQsS9mS6VH9QAJMoS5lM6lCwVwnxANKlj+3sT0NLQuAoNroJhC6FyNHsor5Q61y783r1W/yVPgV+mjIVeZzPBswqIoRfAL+JI8VcbFHxZPGgsmM939lXQyhVl0k85ToAeD6HljFnOWwMJkThC06aAntWLbnBk4zfqpLhCovlOvpj8sdg5741C16rDSVbJaIcsDf4Mdr9jdU/qY8oaszwBemB4ai0484odLi4EvBkhfOafkPHEB+WNxfS4TfKFuxnZOdXlr8X/lEWZWRIJp531IvTVsjXbuN0x+WbiGAfKZLKtUULvMEfaSxB2nd6YtSmwteMK/Ar+pp4pIpHef9J/t/4pk3TXPsGJL1DEdVHV3o0+++lOcnWfCVvcPNLH6F3b5P18XLLGsguNZik49MRj4yR8783a0yMP+g+uWE1fgsew3LkxQR6bTF6+s97g5cBHL2xcs56cBc+6wKa8UYcKiyLT0OvYCKDbux8jtzKfTqktWcq3+PbYRecuK+v2XiPe7Lt2tQMty9no9Vp52nDHrGyPN/gi0hCQstzCYsjLJd7DnOmHrsZOuhBuK3DKFz1F5PB0jLAbm6HaotunzRAt2UtegZT2Twz6xFLSVuctKEZYNbVENXJ9fHC7ecuvlCkg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(86362001)(5660300002)(33656002)(26005)(52536014)(44832011)(8676002)(83380400001)(38070700005)(55016002)(9686003)(7696005)(71200400001)(508600001)(110136005)(66476007)(66446008)(64756008)(66556008)(76116006)(122000001)(38100700002)(186003)(8936002)(6506007)(66946007)(316002)(2906002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?mTb3zW9y4w/q6PgZtoPbg14ddtBuNYv5knc1xx+fNG+96RxlMytcS8MSrczO?=
 =?us-ascii?Q?pvBJBIE5FDKFhVISfx0DOB8mrPIDRgk8IEBwPKtAEtXjLzJv0rQUz8U/Ps0F?=
 =?us-ascii?Q?5RtfhUCZSnNs0Jfd14kacgOHAxRddbkKWSOj06kHO5eStWnlzrWNd0ZFmbTY?=
 =?us-ascii?Q?DYhpBvBzJwpHskTuhq55ORgfz+NhzrpjoX7cU/SL36wrWYD65MYB/5bOPU9p?=
 =?us-ascii?Q?akVdygKAjz7T7AaFyFrnZOoZOjcwtVs38ESuVOsDxSwEsJyUW6yruMmsrBK5?=
 =?us-ascii?Q?piIfvPBQkpvWS/HmujJi7yiIq6JsL74oeP+baxG7UAegjt0lqkCoUD8HwFjK?=
 =?us-ascii?Q?ZbB7kRPIAGYjem/SsRgdL2FtRkw19cTqkHOtYPFcs6MCApSqMArontSvn2bQ?=
 =?us-ascii?Q?IINfH30pi8MihFG3uBz/rKU4YdK/JI75HEWTInswzLw+iMG/5kGX0dUM7U+n?=
 =?us-ascii?Q?HkHkdEYWJfJV6+aCmq24Pm2WgaBVZhRFugR5yhRzLJME3dmP3+4jV4u1HkTd?=
 =?us-ascii?Q?2ntIiHJwrLXJpHwEG7E7uzB4DUUsJGRPvrcwJj3SeE+z/D/PeSdBT5Kgp8sj?=
 =?us-ascii?Q?Gt2bWglHkjHPo4cbnZ26HSScnGMZimtNnagM6j56H79QQzHiZXf0rgQYNRW0?=
 =?us-ascii?Q?lMD4P12W54ZDBFXLj/AGAPvZEJHAAqygXKQFo2fgfHk8O27lQpOXhsgginp/?=
 =?us-ascii?Q?RXaYQf4Gt/L95aSpHJY4cEWddxNIL1kOKeNnjMkxpo+5yXi0Oi3sSPgRRqzU?=
 =?us-ascii?Q?Uanlp2yNm0jsijZxLjv2LC0lQjPH4n0TqILykkD6RtIQUFn54kmZjpVBaHGj?=
 =?us-ascii?Q?OiYifY3J98FeNUuu+DFxYxzROd3NULR/ohMmwnuFM4eDps8YoFLpDPcxHfDG?=
 =?us-ascii?Q?J4P0zvy5WuKaBmBXodiwp5AIvfYsPUoExWhXNmxKqRiGvbayUWUUsEb3xmpu?=
 =?us-ascii?Q?7ZgGnzAFTFyJvIJ8xvFw0NjcgoGeVt+V5JDitGM0xeegi2kwiQ4+C3MLeQ7t?=
 =?us-ascii?Q?Kv2TmU09peTuy//1wPxq41G4NLg9B4GlvDF3h58AJ/DVRNjdWvLzURov9ujc?=
 =?us-ascii?Q?3SwN8JSuAf2o+iJuhh0e1+6w4bF4siwoJ8Wx5/eF4ECEjpufKMizF3nPrBsb?=
 =?us-ascii?Q?YLvH9FUiEnvBQkavqyX03eqvLcIbCMHQGMs+5fdU/JLsmqs295VZZfivhDXs?=
 =?us-ascii?Q?iBNltxnQZTPhZUYQYjjgC2PRSli47ehOlwkvfP6KDG8OmMeeNi0VYUDemVce?=
 =?us-ascii?Q?usGPasbUXDbjRsf7HSNqq0y7r+K96XMaNxmBLTQ36Tqo1UyEnk13PBGZt81K?=
 =?us-ascii?Q?fHo=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 97e56c80-5a68-436b-6178-08d990d2c8ae
X-MS-Exchange-CrossTenant-originalarrivaltime: 16 Oct 2021 18:28:43.3153 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: GcRt/eU2dlJrxelc8q51JdrXv00LlDPO+6kjICshbGH9fUZOuEnQvjr52KArO+jurTt26F5CNu8CaGi7kpeKbQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB3511
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10139
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 malwarescore=0 spamscore=0
 phishscore=0 bulkscore=0 mlxscore=0 mlxlogscore=999 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2109230001
 definitions=main-2110160125
X-Proofpoint-GUID: -I5pNxJz_xFfBLmCCfToJZuburjta23G
X-Proofpoint-ORIG-GUID: -I5pNxJz_xFfBLmCCfToJZuburjta23G
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51240
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I see that the other-window and other-frame versions of
> find-library were added in Emacs 26 but none of them were
> bound to keys as discussed in Emacs bug#26712.  And if I'm
> looking at the correct source tree, still aren't bound in
> Emacs 28.  It seemed like there was concensus on replacing
> the bindings of the find-function commands with new
> find-function-or-library versions but the included patches
> were never applied and the bug archived.
>=20
> There was also discussion in bug#2270 that also didn't seem
> to come to resolution.
>=20
> I (bind and) use find-library all the time, typically to
> view the source of a 3rd party package I've installed via
> elpa (since entering the package name is easier than a
> function name).  Is there a better way to do this?  If not,
> could these commands be bound (possibly in Emacs 28)?

+1.

[But isn't this essentially bug #26712? and 2270?
(which was closed as Done, but with no key binding)]

IMO, we should bind `find-library-other-window' to
`C-x 4 l' and `find-library-other-frame' to `C-x 5 l'.
___

[And this is from someone who doesn't Emacs to waste
key bindings.  These bindings just make sense.  I
almost never use `find-library'.  I use `C-x 4 l'
(which, because I use non-nil `pop-up-frames', opens
in another frame).]
___

Maybe this will happen in another decade or two?...
I proposed this in 2007 (as soon as `find-library'
was added, if I'm not mistaken).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2021 16:49:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 16 12:49:36 2021
Received: from localhost ([127.0.0.1]:42937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbmsJ-0008Mn-SQ
	for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 12:49:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:52612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hmelman@HIDDEN>) id 1mbmsI-0008Mh-Pg
 for submit <at> debbugs.gnu.org; Sat, 16 Oct 2021 12:49:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56902)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hmelman@HIDDEN>) id 1mbmsI-0006Ra-3W
 for bug-gnu-emacs@HIDDEN; Sat, 16 Oct 2021 12:49:34 -0400
Received: from mail-qk1-x72b.google.com ([2607:f8b0:4864:20::72b]:35596)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <hmelman@HIDDEN>) id 1mbmsF-0004Kb-5H
 for bug-gnu-emacs@HIDDEN; Sat, 16 Oct 2021 12:49:33 -0400
Received: by mail-qk1-x72b.google.com with SMTP id bj31so8737173qkb.2
 for <bug-gnu-emacs@HIDDEN>; Sat, 16 Oct 2021 09:49:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=zs7OLh2oHS3nho7wXG5B0VTL3yag7qBmEHjjJuljxck=;
 b=QHCAU83ma1HnZKT5SMLglPVHdXGbr/C7eJUgxk+EhBKR3MjXChbTKt81IhIgOxZQCg
 fOKvfquC6vgrIh2t9f9MJsiUwN9ke+/clztMuj1aJIMKn7Tv884GrwQZfqFch5zHJg+/
 1kHQXzabncGK/fFX2uDY9X7abRHa5rNQOsN9P4Baqd+gNW7AUdy31mQbafHdWX9C7KIX
 1gugV6wkw+tyoOfWFS0PS7TECRBHVOENuHX0B9rZakE9Yf6Y2O+cTMduEf03iT04/GrQ
 VfC5f30zo4J3SrMlIZtUrpG0kyHb0gW3MCkUxcydpHfxUBDB0sLncxnKRjwWoElBy1Eh
 x3jA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=zs7OLh2oHS3nho7wXG5B0VTL3yag7qBmEHjjJuljxck=;
 b=S+QLZSfpPHnloU4yIrvCitaYSwiA75IRxocfyMpdHEQP50uqNJ7gp8eJqugjUqffBe
 d4J9Fqr09UHEbcIp0CXXi/jYE0/izyw/ncG5SREedDqYWq1JuaCjKJc2iqJXrGVtxhXQ
 mwwYOsCbFlE+HChTOfn8qcfCljQnCbSeDGwUomeQPTHZkd43EakXZoPFjERD2TVdVk1p
 oiJ7dyafAqSu7e3zlShJreKKkHcNRQEAkDKGzXKxTFzNbm8KkLiksQlIZSq/JJduFSAH
 x2CxdbRCSv5s2ZZ/2j7CDp+JD4tCxuGOIiykCrHkI2+GSwumEzl4IiGw5faQxMmdeoBG
 yJbw==
X-Gm-Message-State: AOAM530pD6+vFUE3zgFnzafSFICBRKBhmB+3gJwjDsOY+qRXd5/H2LaH
 wN2vp90H0ddVsAMvklKlpS8Mo1U1MVATBg==
X-Google-Smtp-Source: ABdhPJz+ZChndTMuT8dkQeRhM6Xm394213WB5RK7rhVPDbR5mpyCwobjSNV3Xw+rXS/A5yBwppfhRg==
X-Received: by 2002:a37:c44:: with SMTP id 65mr15908196qkm.278.1634402969524; 
 Sat, 16 Oct 2021 09:49:29 -0700 (PDT)
Received: from smtpclient.apple (pool-108-26-204-101.bstnma.fios.verizon.net.
 [108.26.204.101])
 by smtp.gmail.com with ESMTPSA id c5sm4067349qkm.10.2021.10.16.09.49.29
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 16 Oct 2021 09:49:29 -0700 (PDT)
From: Howard Melman <hmelman@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: 27.2; Binding find-library commands
Message-Id: <F8C28E33-0B28-498C-BFC0-409C51B15F4A@HIDDEN>
Date: Sat, 16 Oct 2021 12:49:28 -0400
To: GNU Emacs <bug-gnu-emacs@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
Received-SPF: pass client-ip=2607:f8b0:4864:20::72b;
 envelope-from=hmelman@HIDDEN; helo=mail-qk1-x72b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I see that the other-window and other-frame versions of
find-library were added in Emacs 26 but none of them were
bound to keys as discussed in Emacs bug#26712.  And if I'm
looking at the correct source tree, still aren't bound in
Emacs 28.  It seemed like there was concensus on replacing
the bindings of the find-function commands with new
find-function-or-library versions but the included patches
were never applied and the bug archived.

There was also discussion in bug#2270 that also didn't seem
to come to resolution.

I (bind and) use find-library all the time, typically to
view the source of a 3rd party package I've installed via
elpa (since entering the package name is easier than a
function name).  Is there a better way to do this?  If not,
could these commands be bound (possibly in Emacs 28)?

-- 

Howard




Acknowledgement sent to Howard Melman <hmelman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51240; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Nov 2021 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.